Skip to main content
GET
/
api
/
calls
GET /api/calls
curl --request GET \
  --url https://api.sippet.ai/api/calls \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {
        "call_source": "<string>",
        "call_uuid": "<string>",
        "direction": "inbound",
        "from_number": "<string>",
        "to_number": "<string>",
        "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "duration_seconds": 123,
        "ended_at": "<unknown>",
        "sip_username": "<string>",
        "started_at": "<unknown>",
        "status": "initiated"
      },
      "relationships": {
        "conversation": {
          "data": {
            "id": "<string>",
            "type": "<string>",
            "meta": {}
          }
        },
        "organisation": {
          "data": {
            "id": "<string>",
            "type": "<string>",
            "meta": {}
          }
        }
      }
    }
  ],
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Query Parameters

filter
object

Filters the query to results with attributes matching the given filter object Filters the query to results matching the given filter object

Example:
{}
sort
string

Sort order to apply to the results

Pattern: ^(id|-id|\+\+id|--id|direction|-direction|\+\+direction|--direction|from_number|-from_number|\+\+from_number|--from_number|to_number|-to_number|\+\+to_number|--to_number|sip_username|-sip_username|\+\+sip_username|--sip_username|status|-status|\+\+status|--status|call_uuid|-call_uuid|\+\+call_uuid|--call_uuid|call_source|-call_source|\+\+call_source|--call_source|started_at|-started_at|\+\+started_at|--started_at|ended_at|-ended_at|\+\+ended_at|--ended_at|duration_seconds|-duration_seconds|\+\+duration_seconds|--duration_seconds|conversation_id|-conversation_id|\+\+conversation_id|--conversation_id)(,(id|-id|\+\+id|--id|direction|-direction|\+\+direction|--direction|from_number|-from_number|\+\+from_number|--from_number|to_number|-to_number|\+\+to_number|--to_number|sip_username|-sip_username|\+\+sip_username|--sip_username|status|-status|\+\+status|--status|call_uuid|-call_uuid|\+\+call_uuid|--call_uuid|call_source|-call_source|\+\+call_source|--call_source|started_at|-started_at|\+\+started_at|--started_at|ended_at|-ended_at|\+\+ended_at|--ended_at|duration_seconds|-duration_seconds|\+\+duration_seconds|--duration_seconds|conversation_id|-conversation_id|\+\+conversation_id|--conversation_id))*$
include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"Call": "id,direction,from_number,to_number,sip_username,status,call_uuid,call_source,started_at,ended_at,duration_seconds,conversation_id"
}

Response

Success

data
object[]

An array of resource objects representing a Call

included
any[]
meta
object